6.0.0-git
2019-04-21

[#13418] move deleted mail to virtual trash doesn't working
Summary move deleted mail to virtual trash doesn't working
Queue IMP
Queue Version 6.2.1
Type Bug
State Resolved
Priority 1. Low
Owners slusarz (at) horde (dot) org
Requester nschmidt (at) df (dot) eu
Created 2014-08-05 (1720 days ago)
Due
Updated 2014-08-23 (1702 days ago)
Assigned 2014-08-15 (1710 days ago)
Resolved 2014-08-23 (1702 days ago)
Milestone
Patch No

History
2014-08-23 05:59:46 Michael Slusarz State ⇒ Resolved
 
2014-08-15 04:43:41 Michael Slusarz Comment #4
State ⇒ Feedback
Reply to this comment
Errormessage:

You have activated move to Trash but no Trash mailbox is defined. 
You will be unable to delete messages until you set a Trash mailbox 
in the preferences.
Can't reproduce.
And under "Trash Mailbox" the field shows "None"

Now go to "Inbox -> Virtual Folders" and clikc on "Virtual Trash", 
the Errormessage "Could not open mailbox impsearch" appears.
Can't reproduce *this* error message.  But I get a different error 
message.  This has been fixed in IMP 6.2.2.
2014-08-15 04:42:41 Git Commit Comment #3 Reply to this comment
Changes have been made in Git (master):

commit 6b16a3f6b2fb31987f5c9472bfebb21eb0459885
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Thu Aug 14 22:41:42 2014 -0600

     [mms] Fix displaying Virtual Trash mailbox (Bug #13418).

     Conflicts:
             imp/docs/CHANGES
             imp/package.xml

  imp/docs/CHANGES                  |    1 +
  imp/lib/Search/Vfolder/Vtrash.php |    5 ++++-
  imp/package.xml                   |    1 +
  3 files changed, 6 insertions(+), 1 deletions(-)

http://github.com/horde/horde/commit/6b16a3f6b2fb31987f5c9472bfebb21eb0459885
2014-08-15 04:41:58 Git Commit Comment #2 Reply to this comment
Changes have been made in Git (FRAMEWORK_5_2):

commit 7498085ef26f4db99f08548454cc84480a2b0349
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Thu Aug 14 22:41:42 2014 -0600

     [mms] Fix displaying Virtual Trash mailbox (Bug #13418).

  imp/docs/CHANGES                  |    1 +
  imp/lib/Search/Vfolder/Vtrash.php |    5 ++++-
  imp/package.xml                   |    2 ++
  3 files changed, 7 insertions(+), 1 deletions(-)

http://github.com/horde/horde/commit/7498085ef26f4db99f08548454cc84480a2b0349
2014-08-11 10:11:19 Jan Schneider Assigned to Michael Slusarz
State ⇒ Assigned
 
2014-08-05 08:24:51 nschmidt (at) df (dot) eu Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ move deleted mail to virtual trash doesn't working
Queue ⇒ IMP
Milestone ⇒
Patch ⇒ No
New Attachment: bug1.JPG Download
Reply to this comment
1. Login
2. Preferences->Mail
3. Choose "Deleting and Moving Messages"
4. Activate "Move deleted messages to your Trash mailbox instead of 
marking them as deleted in the current mailbox"
5. Choose Trash Mailbox -> "Use Virtual Trash"
6. Save

Errormessage:

You have activated move to Trash but no Trash mailbox is defined. You 
will be unable to delete messages until you set a Trash mailbox in the 
preferences.

And under "Trash Mailbox" the field shows "None"

Now go to "Inbox -> Virtual Folders" and clikc on "Virtual Trash", the 
Errormessage "Could not open mailbox impsearch" appears.

Saved Queries